marker_param Struct Reference

Marker parameters. More...

`#include <marker_manager.h>`

## Data Fields

codestream_param_t | cs
| corresponding codestream
Byte2_t | code
| marker code
OPJ_OFF_T | offset
| offset relative to the start of the codestream ( including the length parameter but not the marker itself)
Byte2_t | length
| marker segment length

## Detailed Description

Marker parameters.

## Field Documentation

## code

Byte2_t marker_param::code

marker code

Referenced by set_marker().

## cs

codestream_param_t marker_param::cs

corresponding codestream

Referenced by fetch_marker1byte(), fetch_marker2bytebigendian(), fetch_marker4bytebigendian(), and set_marker().

## length

Byte2_t marker_param::length

marker segment length

Referenced by set_marker().

## offset

OPJ_OFF_T marker_param::offset

offset relative to the start of the codestream ( including the length parameter but not the marker itself)

Referenced by fetch_marker1byte(), fetch_marker2bytebigendian(), fetch_marker4bytebigendian(), and set_marker().

The documentation for this struct was generated from the following file:

- marker_manager.h